﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LoanCalculator.Core.Classes;
using LoanCalculator.Core.Enums;

namespace LoanCalculator.Core.Interfaces
{
    public interface ILoanCalculator
    {
        double CalculateMonthlyPayment(
                            double loanAmount,
                            double annualInterestRate,
                            double months,
                            double downPayment,
                            double propertyTax,
                            double propertyInsurance);

        IList<Payments> CalculateAmortization(
                            double loanAmount,
                            double annualInterestRate,
                            double months,
                            double downPayment,
                            double propertyTax,
                            double propertyInsurance);
    }
}
